/*
 * Copyright (c) 2020 yifu4cloud Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.yifu.cloud.plus.v1.yifu.common.core.constant;

import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

/**
 * @author lengleng
 * @date 2019/2/1
 */
public interface CommonConstants {

	/**
	 * 删除
	 */
	String STATUS_DEL = "1";

	/**
	 * 正常
	 */
	String STATUS_NORMAL = "0";

	/**
	 * 锁定
	 */
	String STATUS_LOCK = "9";

	/**
	 * 菜单树根节点
	 */
	Long MENU_TREE_ROOT_ID = -1L;

	/**
	 * 部门根节点
	 */
	Long DEPT_TREE_ROOT_ID = 0L;

	/**
	 * 1L
	 */
	Long LONG_1 = 1L;

	/**
	 * 菜单
	 */
	String MENU = "0";

	/**
	 * 编码
	 */
	String UTF8 = "UTF-8";

	/**
	 * JSON 资源
	 */
	String CONTENT_TYPE = "application/json; charset=utf-8";

	/**
	 * 前端工程名
	 */
	String FRONT_END_PROJECT = "yifu-ui";

	/**
	 * 后端工程名
	 */
	String BACK_END_PROJECT = "yifu";

	/**
	 * 获取一条数据的后缀
	 */
	String LAST_ONE_SQL = " limit 1";

	/**
	 * 成功标记
	 */
	Integer SUCCESS = 200;



	/**
	 * 失败标记
	 */
	Integer FAIL = 1;

	/**
	 * 验证码前缀
	 */
	String DEFAULT_CODE_KEY = "DEFAULT_CODE_KEY_";

	/**
	 * 当前页
	 */
	String CURRENT = "current";

	/**
	 * size
	 */
	String SIZE = "size";

	/**
	 * JSON 资源
	 */

	/**
	 * number 0
	 */
	String ZERO_STRING = "0";

	String FOUR_STRING = "4";

	/**
	 * number 0
	 */
	String ZERO_ONE = "01";

	/**
	 * number 0
	 */
	int ZERO_INT = 0;

	/**
	 * number 1
	 */
	String ONE_STRING = "1";

	/**
	 * number 2
	 */
	String TWO_STRING = "2";

	/**
	 * number 3
	 */
	String THREE_STRING = "3";

	/**
	 * 数字int 3
	 */
	int THREE_INT = 3;

	/**
	 * 下划线
	 * hgw 2022-6-9 17:36:35
	 */
	String DOWN_LINE_STRING = "_";
	/**
	 * 空字符串
	 * hgw 2022-6-9 17:36:35
	 */
	String EMPTY_STRING ="";

	/**
	 * 数字int 1
	 * @author fxj
	 */
	int ONE_INT = 1;

	/**
	 * 个位数字（阿里编码规约不允许直接使用‘魔法值’）
	 * @Author pwang
	 * @Date 2019-08-02 16:39
	 **/
	int[] dingleDigitIntArray = {0,1,2,3,4,5,6,7,8,9};
	/**
	 * 个位数字串（阿里编码规约不允许直接使用‘魔法值’）
	 * @Author pwang
	 * @Date 2019-08-02 16:39
	 **/
	String[] dingleDigitStrArray = {"0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17"};

	/**
	 * 月份（阿里编码规约不允许直接使用‘魔法值’）
	 * @Author pwang
	 * @Date 2019-08-02 16:39
	 **/
	String[] MonthStrArray = {"0","1","2","3","4","5","6","7","8","9","10","11","12"};


	/**
	 * 逗号
	 * @Author fxj
	 **/
	char COMMA_CHAR = ',';

	char SPOT_CHAR = '.';
	/**
	 * 100
	 * @Author fxj
	 **/
	int INTEGER_HUNDRED = 100;

	//,逗号
	String COMMA_STRING = ",";

	//、顿号
	String DUNHAO_STRING = "、";
	//- 横
	char DOWN_LINE_CHAR ='_';
	// 冒号 ：
	String COLON_STRING =":";
	// - 横 分割线 中
	String CENTER_SPLIT_LINE_STRING = "-";
	// 斜杠
	String SLASH_SPLIT_LINE_STRING = "/";
	// = 等
	char ETC_CHAR = '=';
	// = 等
	String ETC_STRING = "=";
	//+ 加
	char ADD_CHAR = '+';
	//int 4
	int FOUR_INT = 4;
	//int 5
	int FIVE_INT = 5;
	String TEN_STRING = "10";

	public static final String SPOT = ".";

	/**
	 * 员工初始序列
	 * @Author pwang
	 * @Date 2020-05-14 11:13
	 * @param null
	 * @return
	 **/
	public static final String EMPLOYEE_INIT_NO = "0001";

	/**
	 *  员工的的前缀位数
	 * @Author pwang
	 * @Date 2020-05-14 14:10
	 **/
	int EMPLOYEE_INIT_NO_START = 7;

	String SAVE_FAILED = "保存失败！";

    String RESULT_EMPTY = "获取结果为空";

	//错误信息
	String ERROR_NO_DOMAIN = "无此实体！";

	String NULL = null;

	/**
	 * @Author fxj
	 * @Date 2020-03-12 14:48
	 * @return
	 **/
	String RESULT_DATA_FAIL= "操作失败";

	String SAVE_SUCCESS = "保存成功！";

	String UPDATE_SUCCESS = "更新成功！";

	String PARAM_IS_NOT_EMPTY = "参数不可为空";

	String DATA_CAN_NOT_EMPTY = "数据不可为空";

	String PLEASE_LOG_IN = "请登录！";

	String SEX_MAN = "1";
	String SEX_WONMAN = "2";

	// 是否
	String IS_FALSE = "否";
	String IS_TRUE = "是";
	int SIX_INT = 6;
	int EIGHT_INT = 8;

	public static final String ZIP_TYPE = "zip";
	int BATCH_COUNT = 100;
	String IMPORT_DATA_ANALYSIS_ERROR = "数据导入解析异常，请检查表数据格式";
    String CREATE_TIME = "CREATE_TIME";
	String ID = "ID";
	String PARAM_IS_NOT_ERROR = "传参异常，请检查参数";
	int EXCEL_EXPORT_LIMIT = 60000;

	/**
	 * multipart/form-data
	 * @Author fxj
	 * @Date  2020-10-13
	 **/
	public static final String MULTIPART_FORM_DATA = "multipart/form-data";

	/**
	 * Content-Disposition
	 * @Author fxj
	 * @Date  2020-10-13
	 **/
	public static final String CONTENT_DISPOSITION = "Content-Disposition";

	/**
	 * attachment;filename=
	 * @Author fxj
	 * @Date  2020-10-13
	 **/
	public static final String ATTACHMENT_FILENAME =  "attachment;filename=";
	/**
	 * USER_AGENT
	 * @Author fxj
	 * @Date  2020-10-26
	 **/
	public static final String USER_AGENT  = "USER-AGENT";

	/**
	 * 成功颜色
	 */
	String GREEN = "green";

	/**
	 * 失败颜色
	 */
	String RED = "red";

	/**
	 * 数字int -1
	 * @author fxj
	 */
	int ONE_INT_NEGATE = -1;

	/**
	 * 数字int -1
	 * @author fxj
	 */
	int TWO_INT_NEGATE = -2;

	/**
	 * 数字int -1
	 * @author fxj
	 */
	int THREE_INT_NEGATE = -3;

	// 是否
	String IS_CHANGE = "划转";

	/**
	 *是所有者
	 **/
	public static final String IS_OWNER_YES = "0";
	/**
	 *不是所有者
	 **/
	public static final String IS_OWNER_NO = "1";

	/**
	 * 获取登录用户信息失败
	 **/
	public static final String USER_FAIL = "获取登录用户信息失败！";

	public static final int SIXTEEN_INT = 16;
	public static final String FIFTEEN = "15";
	public static final String NINETEEN = "19";

	//百分之一 1/100
	public static final BigDecimal ONE_OF_PERCENT = new BigDecimal("0.01");

	// 1/2
	public static final BigDecimal HALF_OF_ONE = new BigDecimal("0.5");
	public static final BigDecimal TWO_BIG = new BigDecimal("2");
}
